Package org.apache.sling.api.resource.external

# Enum Class URIProvider.Scope

java.lang.Object
java.lang.Enum<URIProvider.Scope>
org.apache.sling.api.resource.external.URIProvider.Scope

All Implemented Interfaces:
  `Serializable`, `Comparable<URIProvider.Scope>`, `Constable`

Enclosing interface:
  URIProvider

public static enum URIProvider.Scope extends Enum<URIProvider.Scope>
Defines the scope in which the URI may be used. Implementations should pay close attention to the scope requested and not emit URIs inappropriate for the scope requested.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`EXTERNAL`
A External URI safe to be used by the requesting client in a external context.
`INTERNAL`
Internal URI only to be used by a client on an internal network and never leaked onto a public network.
`PUBLIC`
A URI that may be published to many client in public context.

## Method Summary

Modifier and Type
Method
Description
`static URIProvider.Scope`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static URIProvider.Scope[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### EXTERNAL

public static final URIProvider.Scope EXTERNAL
A External URI safe to be used by the requesting client in a external context. This does not imply it can be stored, shared between clients or published, only that the client may be on the public internet as opposed to an internal network.

### INTERNAL

public static final URIProvider.Scope INTERNAL
Internal URI only to be used by a client on an internal network and never leaked onto a public network.

### PUBLIC

public static final URIProvider.Scope PUBLIC
A URI that may be published to many client in public context. Implementations should only issue URIs with this scope if the URI can safely be shared between multiple clients, and therefore by definition public to anonymous clients anywhere on the internet.

## Method Details

### values

public static URIProvider.Scope[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static URIProvider.Scope valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null